Package: org.codehaus.groovy.control

## [Java] Class LookupResult

- org.codehaus.groovy.control.ClassNodeResolver.LookupResult

- Helper class to return either a SourceUnit or ClassNode.

  Authors:
    Jochen "blackdrag" Theodorou

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassNodeResolver.LookupResult (SourceUnit su, ClassNode cn)` creates a new LookupResult.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ClassNode` | `getClassNode()` returns the ClassNode
    `` | `SourceUnit` | `getSourceUnit()` returns the SourceUnit
    `` | `boolean` | `isClassNode()` returns true if a ClassNode is stored
    `` | `boolean` | `isSourceUnit()` returns true if a SourecUnit is stored

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClassNodeResolver.LookupResult(SourceUnit su, ClassNode cn)

      creates a new LookupResult. You are not supposed to supply a SourceUnit and a ClassNode at the same time

  - ### Method Detail

    - #### public ClassNode getClassNode()

      returns the ClassNode

    - #### public SourceUnit getSourceUnit()

      returns the SourceUnit

    - #### public boolean isClassNode()

      returns true if a ClassNode is stored

    - #### public boolean isSourceUnit()

      returns true if a SourecUnit is stored